<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>documentation/info_segments/request_id_.info</title>
<meta name="Generator" content="Vim/9.1">
<meta name="plugin-version" content="vim9.0_v2">
<meta name="syntax" content="none">
<meta name="settings" content="number_lines,use_css,no_foldcolumn,expand_tabs,line_ids,pre_wrap,prevent_copy=,use_input_for_pc=none">
<meta name="colorscheme" content="PaperColor">
<style>
<!--
pre { white-space: pre-wrap; font-family: monospace; color: #d0d0d0; background-color: #000000; }
body { font-family: monospace; color: #d0d0d0; background-color: #000000; }
* { font-size: 1em; }
.textRainbow_lv1_p0 { color: #ffffe0; }
.textRainbow_lv0_p0 { color: #add8e6; }
.LineNr { color: #585858; }
-->
</style>

<script>
<!--

/* function to open any folds containing a jumped-to line before jumping to it */
function JumpToLine()
{
  var lineNum;
  lineNum = window.location.hash;
  lineNum = lineNum.substr(1); /* strip off '#' */

  if (lineNum.indexOf('L') == -1) {
    lineNum = 'L'+lineNum;
  }
  var lineElem = document.getElementById(lineNum);
  /* Always jump to new location even if the line was hidden inside a fold, or
   * we corrected the raw number to a line ID.
   */
  if (lineElem) {
    lineElem.scrollIntoView(true);
  }
  return true;
}
if ('onhashchange' in window) {
  window.onhashchange = JumpToLine;
}

-->
</script>
</head>
<body onload='JumpToLine();'>
<pre id='vimCodeElement'>
<span id="L1" class="LineNr"> 1 </span>02/20/85  request_id_
<span id="L2" class="LineNr"> 2 </span>
<span id="L3" class="LineNr"> 3 </span>
<span id="L4" class="LineNr"> 4 </span>Entry points in request_id_:
<span id="L5" class="LineNr"> 5 </span>   <span class="textRainbow_lv0_p0">(</span>List is generated by the help command<span class="textRainbow_lv0_p0">)</span>
<span id="L6" class="LineNr"> 6 </span>
<span id="L7" class="LineNr"> 7 </span>
<span id="L8" class="LineNr"> 8 </span>:Entry:  request_id_: 02/20/85  request_id_
<span id="L9" class="LineNr"> 9 </span>
<span id="L10" class="LineNr">10 </span>
<span id="L11" class="LineNr">11 </span>Given a Multics standard clock value, this entry point returns a
<span id="L12" class="LineNr">12 </span>char<span class="textRainbow_lv0_p0">(</span>19<span class="textRainbow_lv0_p0">)</span> formatted date <span class="textRainbow_lv0_p0">(</span>expressed in GMT<span class="textRainbow_lv0_p0">)</span> in the form
<span id="L13" class="LineNr">13 </span>&quot;^yc^my^dm^Hd^MH^99.999999UM&quot;, e.g.  830718105806.808512
<span id="L14" class="LineNr">14 </span><span class="textRainbow_lv0_p0">(</span>yymmddHHMMSS.SSSSSS<span class="textRainbow_lv0_p0">)</span> This is a request id as used by the absentee
<span id="L15" class="LineNr">15 </span>facility, I/O daemons, and other queue-driven facilities.
<span id="L16" class="LineNr">16 </span>
<span id="L17" class="LineNr">17 </span>
<span id="L18" class="LineNr">18 </span>Syntax:
<span id="L19" class="LineNr">19 </span>declare request_id_ entry <span class="textRainbow_lv0_p0">(</span>fixed bin<span class="textRainbow_lv1_p0">(</span>71<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span> returns<span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>19<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L20" class="LineNr">20 </span>result = request_id_ <span class="textRainbow_lv0_p0">(</span>clock<span class="textRainbow_lv0_p0">)</span>;
<span id="L21" class="LineNr">21 </span>
<span id="L22" class="LineNr">22 </span>
<span id="L23" class="LineNr">23 </span>Arguments:
<span id="L24" class="LineNr">24 </span>clock
<span id="L25" class="LineNr">25 </span>   is the clock value to be formatted.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L26" class="LineNr">26 </span>result
<span id="L27" class="LineNr">27 </span>   is the resultant character string.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
</pre>
<script defer src='https://static.cloudflareinsights.com/beacon.min.js' data-cf-beacon='{"token": "4b6a131644014aa29fd88953508c3a3d"}'></script></body>
</html>
<!-- vim: set foldmethod=manual : -->
